> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List subscription metrics by subscription numbers

GET https://rest.test.zuora.com/v1/subscriptions/subscription-metrics

Lists subscription metrics for the subscriptions that you specify by subscription numbers.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/subscriptions/get-metrics-by-subscription-numbers

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `asOfDay` (string, optional) — The date for the metrics. The date should be in the format `YYYY-MM-DD`. The default value is the current date.
- `subscriptionNumbers[]` (list of string, required) — The subscription numbers of existing subscriptions.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of GetMetricsBySubscriptionNumbersResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.
- `subscriptionMetrics` (list of GetMetricsBySubscriptionNumbersResponseSubscriptionMetricsItems, optional)

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetMetricsBySubscriptionNumbersResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GetMetricsBySubscriptionNumbersResponseSubscriptionMetricsItems

- `subscriptionNumber` (string, optional) — The number for the subscription.
- `contractedMrr` (double, optional) — Monthly recurring revenue of the subscription.
- `contractedNetMrr` (double, optional) — Monthly recurring revenue of the subscription rate plan inclusive of all the discounts applicable, including the fixed-amount discounts and percentage discounts.
- `asOfDayGrossMrr` (double, optional) — Monthly recurring revenue of the subscription rate plan exclusive of any discounts applicable as of specified day.
- `asOfDayNetMrr` (double, optional) — Monthly recurring revenue of the subscription rate plan inclusive of all the discounts applicable, including the fixed-amount discounts and percentage discounts as of specified day.
- `netTotalContractedValue` (double, optional) — Total contracted value of the subscription inclusive of all the discounts applicable, including the fixed-amount discounts and percentage discounts.
- `totalContractedValue` (double, optional) — Total contracted value of the subscription.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "success": true,
  "subscriptionMetrics": [
    {
      "subscriptionNumber": "A-S00000008",
      "contractedMrr": 100,
      "contractedNetMrr": 100,
      "asOfDayGrossMrr": 100,
      "asOfDayNetMrr": 100,
      "netTotalContractedValue": 100,
      "totalContractedValue": 100
    },
    {
      "subscriptionNumber": "A-S00000009",
      "contractedMrr": 100,
      "contractedNetMrr": 100,
      "asOfDayGrossMrr": 100,
      "asOfDayNetMrr": 100,
      "netTotalContractedValue": 100,
      "totalContractedValue": 100
    }
  ]
}
```

**SDK Code**

```python Subscriptions_GetMetricsBySubscriptionNumbers_example
import requests

url = "https://rest.test.zuora.com/v1/subscriptions/subscription-metrics"

querystring = {"subscriptionNumbers[]":"[\"string\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Subscriptions_GetMetricsBySubscriptionNumbers_example
const url = 'https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Subscriptions_GetMetricsBySubscriptionNumbers_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Subscriptions_GetMetricsBySubscriptionNumbers_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Subscriptions_GetMetricsBySubscriptionNumbers_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Subscriptions_GetMetricsBySubscriptionNumbers_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Subscriptions_GetMetricsBySubscriptionNumbers_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Subscriptions_GetMetricsBySubscriptionNumbers_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/subscriptions/subscription-metrics?subscriptionNumbers%5B%5D=%5B%22string%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```